.app {
    padding: 5px;
    height: 100vh;
}

.app .titleApp {
    color: black;
    text-align: center;
    font-family: sans-serif;
    font-size: 3em;
}
.dataTable {
    display: flex;
    flex-flow: column nowrap;
    padding: 5px;
    border: 2px silver solid;
    background-color: whitesmoke;
    font-family: sans-serif;
}

.dataTableToolbar {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;

    flex: 0 0 50px;
    padding: 5px;
    margin: 5px;

}

.dataTableToolbar .buttonCreateNew {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    justify-content: space-between;

    flex: 0 0 50px;
    padding: 3px;
    margin: 5px 0;
}

.dataTableToolbar .searchByName {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    justify-content: space-between;
    flex: 0 0 50px;
    padding: 3px;
    margin: 5px 0;

}

.dataTableToolbar .searchByTag {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    justify-content: space-between;
    flex: 0 0 50px;
    padding: 3px;
    margin: 5px 0;
}
.dataTableBody {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;

    flex: 1 1;

    padding: 5px;
    margin: 5px;
}
.dataTableBody .dishItemContainer {
    display: flex;
    flex-flow: column;
    align-items: stretch;
    padding: 3px;
    margin: 5px;
}
.dataTableBody .dishItemContainer .dishItemDescription {
    background: white;
    margin: 1px;
    padding: 1px;
}
.dataTableBody .dishItem {
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    justify-content: space-between;
    flex: 0 0 50px;

    padding: 3px;
    margin: 5px;
}

.dataTableBody .dishItem .dishItemName {
    flex: 2;
    background: #aaaaaa;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.dataTableBody .dishItem .dishItemTags {
    flex: 1;
    background-color: #dddddd;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.dataTableBody .dishItem .editor {

    background-color: #dddddd;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.itemEditor {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;

    flex: 0 0 50px;

    padding: 5px;
    margin: 5px;
}
.itemEditor .tags {
    display: flex;
    justify-content: flex-start;
    align-items: center;

    width: 200px;
}
.dataTableBody .dishItem .openClose{
    background-color: #dddddd;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.dataTableBody .dishItem .editItem{
    background-color: #dddddd;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.dataTableBody .dishItem .deleteItem {
    background-color: #dddddd;
    margin: 5px;
    padding: 5px;

    display: flex;
    justify-content: flex-start;
    align-items: center;
}

